Subject: summary on rigid body minimization

From: [email-masked] (Soumya S. Patnaik MLPJ UTC)
Date: Fri, 2 Feb 96 14:43:32 EST

Thanks to everyone who responded to my follwing query:

> 
> Dear Colleagues,
> 
> I am looking for a program that would do
> minimization of the energy of association of two or
> more molecules while considering each molecule rigid.
> 
> Does anyone have access to such a program? Thanks in advance

I got a lot of helpful information (compiled at the end of this message)
and have finally decided to
looking at Alex Brunger's X-plor (thanks to Tom Simonson for pointing
it out to me). I think it is the most suitable for what I want to do.
I am interested in modeling liquid crystals for which I would like
to add an additional term to the MM potential
energy function, representing the mean liquid crystalline environment. 
In order to
see the effect of this additional term, I have to hold the molecules
rigid and let them minimize the intermolecular energies by rotation
and translation. 
I was initially planning to use the internal coordinate constrains in
CHARMm to make the molecules rigid.  Unfortunately,
charmm does the energy minimization in cartesian coordinate space and not
in internal coordinate space. Therefore
using the IC constraints allows for only very small movements so ineffect
the molecules get pinned to a particular cartesian space and not much
rotation or translation can occur.
Therefore, I was really encouraged to find out that Xplor does minimization/
dynamics in rigid body coordinate space.

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+ Dr Soumya S. Patnaik         email:  [email-masked] +
+ Materials Laboratory, Wright Patterson AFB                           +
+ usmail:  WL/MLPJ, Bldg 651, 3005 P St, Ste 1, WPAFB, OH 45433-7702   +
+ Telephone:  (513) 255-6671 ext.3116           FAX:  (513) 255-1128   +
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

--------------------------------------------------------------
We have a code that can do rigid minimizations. The minimization
routines sit inside our in-hous MD code CCEMD which uses the CHARMM 
force field. Most of teh MD code is in C, but the constrained 
grad. min. routines are in Fortran. If this looks like something useful,
we can let you have the source code. I am putting a copy of our initial
report on the method in the mail for you.

The paper mainly discusses the case of letting dihedrals move, but one
of the examples has a rigid drug molecule whose position is minimized
in a rigid protein binding site, which sounds similar to what you
are looking for.

Richard

 -----------------------------------------------
| Richard Judson				|
| Center for Computational Engineering, MS 9214	|
| Sandia National Laboratories			|
| Livermore, CA 94551-0969			|
| (510)294-1438					|
| (510)294-2234 (FAX)				|
| email: [email-masked]			|
|						|
 -----------------------------------------------